<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

include(get_language_filepath('plugin.lang.php', ASTAT_PATH));
include(ASTAT_PATH."/admin/AStat_functions.php");
 
global $template, $lang, $page;
$plugin_object = get_plugin_data($plugin_id);
$pagelink="admin.php?page=plugin&section=AStat%2Fadmin%2FAStat_admin.php";
$plugin_object->save_status=false;

$default_request = array('all'=>'Y', 'year'=>'', 'month'=>'', 'day'=>'');

if(!array_key_exists('fAStat_tabsheet', $_REQUEST))
{$_REQUEST['fAStat_tabsheet']='stats_by_period';}
if(!array_key_exists('fAStat_defper', $_REQUEST))
{$_REQUEST['fAStat_defper']='Y';}
if(!array_key_exists('fAStat_SortCat', $_REQUEST))
{$_REQUEST['fAStat_SortCat']=$plugin_object->my_config['AStat_DefaultSortCat'];}
if(!array_key_exists('fAStat_SortImg', $_REQUEST))
{$_REQUEST['fAStat_SortImg']=$plugin_object->my_config['AStat_DefaultSortImg'];}
if(!array_key_exists('fAStat_SortIP', $_REQUEST))
{$_REQUEST['fAStat_SortIP']=$plugin_object->my_config['AStat_DefaultSortIP'];}


if(($_REQUEST['fAStat_tabsheet']=='stats_by_period')&&($_REQUEST['fAStat_defper']=='Y'))
{
	if($plugin_object->my_config['AStat_default_period']!='global')
	{ $default_request['all'] = 'N'; }

	if(($plugin_object->my_config['AStat_default_period']=='year')||
	   ($plugin_object->my_config['AStat_default_period']=='month')||
	   ($plugin_object->my_config['AStat_default_period']=='day'))
	{ $default_request['year'] = date('Y'); }

	if(($plugin_object->my_config['AStat_default_period']=='month')||
	   ($plugin_object->my_config['AStat_default_period']=='day'))
	{ $default_request['month'] = date('n'); }

	if($plugin_object->my_config['AStat_default_period']=='day')
	{ $default_request['day'] = date('j'); }
}


if(!array_key_exists('fAStat_all', $_REQUEST))
{$_REQUEST['fAStat_all']=$default_request['all'];}
if(!array_key_exists('fAStat_year', $_REQUEST))
{$_REQUEST['fAStat_year']=$default_request['year'];}
if(!array_key_exists('fAStat_month', $_REQUEST))
{$_REQUEST['fAStat_month']=$default_request['month'];}
if(!array_key_exists('fAStat_day', $_REQUEST))
{$_REQUEST['fAStat_day']=$default_request['day'];}
if(!array_key_exists('fAStat_page_number', $_REQUEST))
{$_REQUEST['fAStat_page_number']='1';}
if(!array_key_exists('fAStat_IP', $_REQUEST))
{$_REQUEST['fAStat_IP']="";}
if(!array_key_exists('fAStat_purge_history_date', $_REQUEST))
{$_REQUEST['fAStat_purge_history_date']="";}


/* enregistrer la configuration */
if(isset($_POST['submit'])) 
{
  if(!is_adviser())
  {
    reset($plugin_object->my_config); 
    while (list($key, $val) = each($plugin_object->my_config)) 
    { if(isset($_POST['f_'.$key])) { $plugin_object->my_config[$key] = $_POST['f_'.$key]; } }
    
    $plugin_object->save_status=$plugin_object->save_config(); 
  }
  else
  {
    array_push($page['errors'], l10n('AStat_adviser_not_authorized'));
  }
}


$template->assign_var("ASTAT_VERSION", "[<i>AStat</i> ".l10n('AStat_version').ASTAT_VERSION."]");

$template->set_filenames( array('plugin_admin_content' => dirname(__FILE__).'/AStat_admin.tpl') );
 

if($_REQUEST['fAStat_tabsheet']=='stats_by_period')
{ display_stats_by_period($_REQUEST['fAStat_all'], $_REQUEST['fAStat_year'], $_REQUEST['fAStat_month'], $_REQUEST['fAStat_day'], $plugin_object->my_config['AStat_MaxBarWidth'], $plugin_object->my_config['AStat_SeeTimeRequests']); }
elseif($_REQUEST['fAStat_tabsheet']=='stats_by_ip')
{ display_stats_by_ip($_REQUEST['fAStat_year'], $_REQUEST['fAStat_month'], $_REQUEST['fAStat_day'], $plugin_object->my_config['AStat_MaxBarWidth'], $plugin_object->my_config['AStat_NpIPPerPages'], $_REQUEST['fAStat_page_number'], $_REQUEST['fAStat_SortIP'], $plugin_object->my_config['AStat_SeeTimeRequests']); }
elseif($_REQUEST['fAStat_tabsheet']=='stats_by_category')
{ display_stats_by_category($_REQUEST['fAStat_year'], $_REQUEST['fAStat_month'], $_REQUEST['fAStat_day'], $plugin_object->my_config['AStat_MaxBarWidth'], $plugin_object->my_config['AStat_NpCatPerPages'], $_REQUEST['fAStat_page_number'], $plugin_object->my_config['AStat_ShowThumbCat'], $_REQUEST['fAStat_SortCat'], $plugin_object->my_config['AStat_SeeTimeRequests']); }
elseif($_REQUEST['fAStat_tabsheet']=='stats_by_image')
{ display_stats_by_image($_REQUEST['fAStat_year'], $_REQUEST['fAStat_month'], $_REQUEST['fAStat_day'], $plugin_object->my_config['AStat_MaxBarWidth'], $plugin_object->my_config['AStat_NbImgPerPages'], $_REQUEST['fAStat_page_number'], $plugin_object->my_config['AStat_ShowThumbImg'], $_REQUEST['fAStat_SortImg'], $_REQUEST['fAStat_IP'], $plugin_object->my_config['AStat_SeeTimeRequests']); }
elseif($_REQUEST['fAStat_tabsheet']=='config')
{ display_config(); }
elseif($_REQUEST['fAStat_tabsheet']=='tools')
{ display_tools(); }




$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');



?>
